Accounts

RSS for tag

Help users access and manage their external accounts from within your app without requiring them to enter login credentials using Accounts.

Accounts Documentation

Posts under Accounts tag

138 Posts
Sort by:
Post not yet marked as solved
1 Replies
1.5k Views
Per Account deletion requirement iOS If your app offers Sign in with Apple, you’ll need to use the Sign in with Apple REST API to revoke user tokens when deleting an account. Referring to this answer, we are trying to send this revoke token API on our server-side. Here are some snippet privateKey = fs.readFileSync("xxxxxxxx.p8") client_secret = jwt.sign({ iss: 'xxxx-***-xx-xxxx-xxxxxxxx', iat: Math.floor(Date.now() / 1000), exp: Math.floor(Date.now() / 1000) + 1200, aud: 'https://appleid.apple.com', sub: "sample.com" }, privateKey, { algorithm: 'ES256', header: { alg: 'ES256', kid: 'xxxxxxxxxxx' } }); data = { 'token': token, 'client_id': "sample.com", 'client_secret': client_secret }; body = qs.stringify(data) opts = protocol: 'https:' host: 'appleid.apple.com' path: '/auth/revoke' method: 'POST' timeout: 6000 headers: 'Content-Type': 'application/x-www-form-urlencoded' 'Content-Length': Buffer.byteLength(body) // call https to send this opts message And the status code of the above codes could be 200. However, the response code 200 of revoke token api The request was successful; the provided token has been revoked successfully or was previously invalid. It seems the status code 200 includes the provided token was previously invalid. How could we distinguish whether the revoke token API was returned by the invalid token or revoked successfully? We also try to test this revoke token API through curl with invalid client_secret and token, the status code 200 could be returned either. It is so weird. curl -v POST "https://appleid.apple.com/auth/revoke" \ -H 'content-type: application/x-www-form-urlencoded' \ -d 'client_id=***.xxxx.yyyy' \ -d 'client_secret=ddddddeyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6IlBGUVRYTTVWUlcifQ.dddd.DmMifw6qWHMqKgDIbO8KrIzDvbF7T4WxxEo9TmtN0kmTISsi8D8FG52k_LPGkbNEnS_-w_SRimEKIH1rsuawFA' \ -d 'token=dddddd' \ -d 'token_type_hint=access_token' > POST /auth/revoke HTTP/1.1 > Host: appleid.apple.com > User-Agent: curl/7.77.0 > Accept: */* > content-type: application/x-www-form-urlencoded > Content-Length: 240 > * Mark bundle as not supporting multiuse < HTTP/1.1 200 < Server: Apple < Date: Thu, 09 Jun 2022 07:36:31 GMT < Content-Length: 0 < Connection: keep-alive < Host: appleid.apple.com
Posted
by zangw.
Last updated
.
Post not yet marked as solved
0 Replies
125 Views
Hello, We are working on changes related on this document: https://developer.apple.com/support/offering-account-deletion-in-your-app. We have a question with our news app. Our content is protected under a paywall. You must create an account to access it. You can do this either in our website or in our mobile applications. The question is: the account deletion applies just por accounts created in our iOS app?
Posted
by jorgmart.
Last updated
.
Post not yet marked as solved
0 Replies
121 Views
Understood that the account deletion requirement will be enforced on 30 June, 2022. Here are some questions: Will this checking be applied to new submission only or all existing apps without this function will be removed from the App Store, even if no updates are submitted? When will this requirement be included in the review? If I submit an application to the App Store NOW, before June 30, will it be checked on this requirement? I want to test if my develop is sufficient already for this requirement.
Posted
by Lkki.
Last updated
.
Post not yet marked as solved
2 Replies
331 Views
Hi, I'm working on a project and I remember that the "Internet Accounts" section in System Preferences exists, and I figure that would be the way to store relevant information. I found the Accounts framework page in the documentation, but everything appears to be deprecated. Is there any explanation and/or alternative for this?
Posted
by GalaxyX.
Last updated
.
Post not yet marked as solved
1 Replies
331 Views
Hi I see that it's possible to convert an individual developer account to an organisation account but I am trying to do the reverse. I joined the Apple Developer programme when I was working as a freelancer (non-IT role) and so set up using my limited company. I now have no use for this company and so have applied to have it struck off, which should happen soon. That means I am not even allowed to use it anymore, which is fine. The problem I have is that I can see no way to properly delete this unwanted account, even though I haven't renewed the subscription, so it's already expired. Rather than renew it I want to create my new Individual developer account but when I attempt to do so I'm told "Sorry, you can’t enroll at this time. Your Apple ID is already associated with the Account Holder of a membership." I cannot remove my Apple ID from the old, lapsed account so can't progress with the signup. Can anyone suggest a way forward on this? Do I have to create a new Apple ID? Hopefully not because its also the one that I use for all my personal subscriptions, App Store purchases etc. Thanks. Robert
Posted Last updated
.
Post not yet marked as solved
0 Replies
110 Views
Bonjour, Notre compte apple developer program rattaché à notre entreprise a été bloqué en 2018. Nous avons besoin de le récupérer et comprendre pourquoi il a été bloqué. Nous avons essayer d'en créer un nouveau mais le code DUNS étant associé à notre compte bloqué nous ne pouvons pas. Pouvez-vous nous indiquer la marche à suivre pour le récupérer ou en créer un nouveau ? Ou nous donner un moyen de contacter directement le support developer par téléphone? Merci Hello, Our apple developer program account attached to our company was blocked in 2018. We need to recover it and understand why it was blocked. We have tried to create a new one but the DUNS code being associated with our blocked account we can't. Can you tell us how to get it back or create a new one? Or give us a way to contact the developer support directly by phone? Thank you
Posted Last updated
.
Post not yet marked as solved
0 Replies
131 Views
Hi all! My account was terminated almost 1,5 years ago, I have sent a couple of mail because of reinstating my account I got a response from Apple "we will not open your account until a year after a year you can send another request for this" also they are mentioning don't send any message after this we will reject your messages, etc. A year later I have send a reinstate request and thill no answer I've been waiting for an answer since March, and still no answer. I want to ask. Will I no longer be able to develop an app for Apple for life? my case number is: 101652947985
Posted
by ugrerdl.
Last updated
.
Post not yet marked as solved
1 Replies
158 Views
Hello, when user register in my app, user data will automatically create a membership in 3rd party CRM system. To facilitate account deletion requirement, can I remove all the personal data we stored on APP so that user can re-register as a new APP user, but still keep the user's membership in our CRM system?
Posted
by qwer___.
Last updated
.
Post not yet marked as solved
2 Replies
246 Views
Asking as someone with zero coding knowledge, what is the point of disabling phones with no way to regain data left in the phone? While theft is a possibility from which phone is being protected, many iPhone users have ended up locked out of their phone and having it disabled because their touchpad function was messed up in a fall or minor accident. Giving no one access to the data, which at this point of time, is STILL on the phone makes no sense to me. Like there must be some point for it still being on there right?? But no, my data, photos are still on the phone but there is no way to get to it - DO ANYTHING and it's gone. Do nothing - and it's as good as gone. And only help you can offer at this point is restore the phone to gain access to a phone that's wiped clean. The phone already has lost it's appeal!! Shouldn't there be another way, at least via proof of itunes ownership or something similar to GET BACK IN to that device? Unless it is a punishment programme for people who miss out on keeping regular backups, the way it works now is imo flawed.
Posted
by sreeA.
Last updated
.
Post not yet marked as solved
0 Replies
161 Views
Hello, I was informed that apps support account creation must also include an option to initiate account deletion, including "guest" accounts. However, I'm not sure that I really need the option for guest accounts because the guest account is automatically deleted when the user uninstall my app. Would you please let me know that I still need the option for the guests?
Posted
by jisulee_.
Last updated
.
Post not yet marked as solved
3 Replies
838 Views
I'm trying to set up a bank account for in-purchase payments, i never did that before. So I added my IBAN, account, etc but I'm stuck at the same page forever spinning the button "Add". This is really bad in terms of user experience, are there any solutions? It never returns any error or nothing. Obviously, my internet connection is ok and I had lost a lot of time because it won't save the data I put there before, I had to fill all over again and again! Come on guys... I'm in Portugal.
Posted
by jbarros5.
Last updated
.
Post not yet marked as solved
13 Replies
7.6k Views
The newly updated App Store Review Guideline 5.1.1(v) states that: ... If your app supports account creation, you must also offer account deletion within the app. ... The guideline leaves two important questions open: What does it mean to offer the account deletion? Is it enough to point the user to the website, email, ... or does the deletion need to be completed within the app? Does Apple expect a simple account deletion (in the sense of inactivation) or a full delete-all-my-data request? Is there a statement from Apple which specifies these details or has someone already receive an app rejection for it?
Posted
by hans.tkwy.
Last updated
.
Post not yet marked as solved
0 Replies
123 Views
Hi, We run an ecommerce app and this question is regarding the account deletion requirement. What is the user has an order in-transit? Can we prevent them from deletion and ask them to initiate the deletion when the order is completed? Or are we required to initiate the deletion when they request it? Thanks!
Posted Last updated
.
Post not yet marked as solved
0 Replies
434 Views
Hi, we are experiencing a problem with finishing the Apple Developer Enrollment. We finished all the steps including DUNS number registration but on the last step we do not receive a call from Apple. We tried everything but still receiving an email from Apple saying they couldn't reach us. There was no missed calls and we even called to our mobile operator to check if there was any incoming calls. The phone numbers are correct and works for any other call, including international. Also we've tried to ask this questions directly in email but every time the answer is the same - We couldn't reach you, please contact us via web form. Does any body had the same problems? What else we could do?
Posted
by Oilan.
Last updated
.
Post not yet marked as solved
0 Replies
194 Views
Hello guys! We have a question about the account deletion requirements on the post: https://developer.apple.com/news/?id=i71db0mv Must the account be removed immediately? We ask because the app account deletion workflow has been designed as follows: Customer request and removal via an item in the App The App itself notifies Customers that their request will be answered in few days After a few days, the customer receives an email informing them that the account has been successfully removed. Thanks for the help!
Posted
by higa_.
Last updated
.
Post marked as solved
5 Replies
2.7k Views
Hello! We noticed some changes in app development policies about account deletion. Its placed here: https://developer.apple.com/news/?id=mdkbobfo So, it says that we can INITIATE account deletion. But what confuses us is the title. It says "require". And keeping in mind that with ATT policy on Apple's guideline where it says that the ATT is needed for IDFA collection and personal data collection, we got rejected for collecting only basic users data (only events without binding em to constant user ids), we want to make it clear - can we JUST INITIATE the account deletion? Just send user to our Support Team where the user could just place the request for account deletion and remove it with our STeam. According to this publication: https://www.engadget.com/apple-app-store-ios-developers-delete-account-report-193119525.html, we can JUST INITIATE. But with ATT case we got wrong representation of the requirement. Also we want to know what is appropriate time for completing the deletion request: one week, two or a month? Thank you in advance for your answers, Apple Engineer! :) P.S. About ATT rejection: we had a call with Apple's engineer who explained us main points why they did it, so we had to turn the analytics fully off. The points were really good and user loyal.
Posted Last updated
.
Post not yet marked as solved
0 Replies
119 Views
I'm Chinese and I get that develpers in China must have their legal Chinese names submitted as a required step during registration. But why the hell is my Chinese name displayed in a non-Chinese market as my developer name? Please at leave give us an option to display English names on global markets. (In case you don't know, Chinese names can be translated to English via pinyin, it's a 1-to-1 mapping. Any Chinese names have their corresponding English names via pinyin) I also called Apple today, they said that it's due to regulations. Again, I get that. But displaying Chinese as developer names in non-Chinese markets just dont make any sense.
Posted
by Weien23.
Last updated
.
Post not yet marked as solved
1 Replies
192 Views
I am trying to implement a logout button in my application using swift. Users are authenticated through firebase. This is the function that I am currently working on:  @IBAction func buttonLogOut(_ sender: Any) {            do     {       try Auth.auth().signOut()       let storyboard = UIStoryboard(name: "Main", bundle: nil)       let loginVC = storyboard.instantiateViewController(withIdentifier: "login View Controller") as! loginVC       let appDelegate = UIApplication.shared.delegate as! AppDelegate       appDelegate.window?.rootViewController = loginVC       self.performSegue(withIdentifier: "Dashboard", sender: self)     }     catch let error as NSError     {       print(error.localizedDescription)     }               }              } I am getting these errors on the following lines and Im unsure how to solve this let loginVC = storyboard.instantiateViewController(withIdentifier: "loginViewController") as! Main Cannot find type 'Main' in scope And appDelegate.window?.rootViewController = loginVC Value of type 'AppDelegate' has no member 'window'
Posted Last updated
.